Package fr.gouv.vitam.worker.core.plugin.computeinheritedrules.model

# Class ComputedInheritedRules

java.lang.Object
fr.gouv.vitam.worker.core.plugin.computeinheritedrules.model.ComputedInheritedRules

public class ComputedInheritedRules extends Object
ComputedInheritedRules

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACCESS_RULE`
  `static final String`
  `APPRAISAL_RULE`
  `static final String`
  `CLASSIFICATION_RULE`
  `static final String`
  `DISSEMINATION_RULE`
  `static final String`
  `HOLD_RULE`
  `static final String`
  `REUSE_RULE`
  `static final String`
  `STORAGE_RULE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComputedInheritedRules()`
  `ComputedInheritedRules(Map<String,InheritedRule> inheritedRules, com.fasterxml.jackson.databind.JsonNode inheritedRulesAPIOutput, Map<String,Object> globalInheritedProperties, String indexationDate)`
  `ComputedInheritedRules(Map<String,InheritedRule> inheritedRules, String indexationDate, Map<String,Object> globalInheritedProperties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InheritedRule`
  `getAccessRule()`
  `InheritedRule`
  `getAppraisalRule()`
  `ClassificationRule`
  `getClassificationRule()`
  `InheritedRule`
  `getDisseminationRule()`
  `InheritedRule`
  `getHoldRule()`
  `String`
  `getIndexationDate()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getInheritedRulesAPIOutput()`
  `List<Boolean>`
  `getNeedAuthorization()`
  `InheritedRule`
  `getReuseRule()`
  `InheritedRule`
  `getStorageRule()`
  `void`
  `setAccessRule(InheritedRule accessRule)`
  `void`
  `setAppraisalRule(AppraisalRule appraisalRule)`
  `void`
  `setClassificationRule(ClassificationRule classificationRule)`
  `void`
  `setDisseminationRule(InheritedRule disseminationRule)`
  `void`
  `setHoldRule(InheritedRule holdRule)`
  `void`
  `setIndexationDate(String indexationDate)`
  `void`
  `setInheritedRulesAPIOutput(com.fasterxml.jackson.databind.JsonNode inheritedRulesAPIOutput)`
  `void`
  `setNeedAuthorization(List<Boolean> needAuthorization)`
  `void`
  `setReuseRule(InheritedRule reuseRule)`
  `void`
  `setStorageRule(StorageRule storageRule)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STORAGE_RULE

    public static final String STORAGE_RULE
    See Also:
      - Constant Field Values

  - ### APPRAISAL_RULE

    public static final String APPRAISAL_RULE
    See Also:
      - Constant Field Values

  - ### DISSEMINATION_RULE

    public static final String DISSEMINATION_RULE
    See Also:
      - Constant Field Values

  - ### ACCESS_RULE

    public static final String ACCESS_RULE
    See Also:
      - Constant Field Values

  - ### REUSE_RULE

    public static final String REUSE_RULE
    See Also:
      - Constant Field Values

  - ### HOLD_RULE

    public static final String HOLD_RULE
    See Also:
      - Constant Field Values

  - ### CLASSIFICATION_RULE

    public static final String CLASSIFICATION_RULE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ComputedInheritedRules

    public ComputedInheritedRules()

  - ### ComputedInheritedRules

    public ComputedInheritedRules(Map<String,InheritedRule> inheritedRules, com.fasterxml.jackson.databind.JsonNode inheritedRulesAPIOutput, Map<String,Object> globalInheritedProperties, String indexationDate)

  - ### ComputedInheritedRules

    public ComputedInheritedRules(Map<String,InheritedRule> inheritedRules, String indexationDate, Map<String,Object> globalInheritedProperties)

- ## Method Details

  - ### getStorageRule

    public InheritedRule getStorageRule()

  - ### setStorageRule

    public void setStorageRule(StorageRule storageRule)

  - ### getAppraisalRule

    public InheritedRule getAppraisalRule()

  - ### setAppraisalRule

    public void setAppraisalRule(AppraisalRule appraisalRule)

  - ### getDisseminationRule

    public InheritedRule getDisseminationRule()

  - ### setDisseminationRule

    public void setDisseminationRule(InheritedRule disseminationRule)

  - ### getAccessRule

    public InheritedRule getAccessRule()

  - ### setAccessRule

    public void setAccessRule(InheritedRule accessRule)

  - ### getReuseRule

    public InheritedRule getReuseRule()

  - ### setReuseRule

    public void setReuseRule(InheritedRule reuseRule)

  - ### getClassificationRule

    public ClassificationRule getClassificationRule()

  - ### setClassificationRule

    public void setClassificationRule(ClassificationRule classificationRule)

  - ### getHoldRule

    public InheritedRule getHoldRule()

  - ### setHoldRule

    public void setHoldRule(InheritedRule holdRule)

  - ### getInheritedRulesAPIOutput

    public com.fasterxml.jackson.databind.JsonNode getInheritedRulesAPIOutput()

  - ### setInheritedRulesAPIOutput

    public void setInheritedRulesAPIOutput(com.fasterxml.jackson.databind.JsonNode inheritedRulesAPIOutput)

  - ### getIndexationDate

    public String getIndexationDate()

  - ### setIndexationDate

    public void setIndexationDate(String indexationDate)

  - ### getNeedAuthorization

    public List<Boolean> getNeedAuthorization()

  - ### setNeedAuthorization

    public void setNeedAuthorization(List<Boolean> needAuthorization)